# Typedef

Static Public Summary
public | AccountInfo: Object Information describing an account |
public | Blockhhash: string |
public | BudgetCondition: SignatureCondition | TimestampCondition A condition that can unlock a payment |
public | ContactInfo: Object Information describing a cluster node |
public | FeeCalculator: Object |
public | KeyedAccountInfo: Object Account information identified by pubkey |
public | Payment: Object Represents a payment to a given public key |
public | SignatureCondition: Object Represents a condition that is met by executing a `applySignature()` transaction |
public | SignatureSuccess: Object Signature status: Success |
public | TimestampCondition: Object Represents a condition that is met by executing a `applyTimestamp()` transaction |
public | TransactionCtorFields: Object List of Transaction object fields that may be initialized at construction |
public | TransactionError: Object Signature status: TransactionError |
public | TransactionInstructionCtorFields: Object List of TransactionInstruction object fields that may be initialized at construction |
public | TransactionSignature: string |
public | VoteAccountInfo: Object Information describing a vote account |

## Static Public

### public AccountInfo: Object source

Information describing an account

#### Properties:

Name | Type | Attribute | Description
lamports | number |  | Number of lamports assigned to the account
owner | PublicKey |  | Identifier of the program that owns the account
data | Buffer | nullable: true | Optional data assigned to the account
executable | boolean |  | `true` if this account's data contains a loaded program

### public Blockhhash: string source

### public BudgetCondition: SignatureCondition | TimestampCondition source

A condition that can unlock a payment

### public ContactInfo: Object source

Information describing a cluster node

#### Properties:

Name | Type | Attribute | Description
pubkey | string |  | Identity public key of the node
gossip | string |  | Gossip network address for the node
tpu | string |  | TPU network address for the node (null if not available)
rpc | string | null |  | JSON RPC network address for the node (null if not available)

### public FeeCalculator: Object source

#### Properties:

Name | Type | Attribute | Description
lamportsPerSignature | number |  | lamports Cost in lamports to validate a signature
targetLamportsPerSignature | number |  |
targetSignaturesPerSlot | number |  |

### public KeyedAccountInfo: Object source

Account information identified by pubkey

#### Properties:

Name | Type | Attribute | Description
accountId | PublicKey |  |
accountInfo | AccountInfo |  |

### public Payment: Object source

Represents a payment to a given public key

#### Properties:

Name | Type | Attribute | Description
amount | number |  | Number of lamports
to | PublicKey |  | Public key of the recipient

### public SignatureCondition: Object source

Represents a condition that is met by executing a `applySignature()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applySignature()` will be accepted from

### public SignatureSuccess: Object source

Signature status: Success

### public TimestampCondition: Object source

Represents a condition that is met by executing a `applyTimestamp()` transaction

#### Properties:

Name | Type | Attribute | Description
type | string |  | Must equal the string 'timestamp'
from | PublicKey |  | Public key from which `applyTimestamp()` will be accepted from
when | Date |  | The timestamp that was observed

### public TransactionCtorFields: Object source

List of Transaction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
(?recentBlockhash} | * |  | A recent block hash
(?signatures} | * |  | One or more signatures

### public TransactionError: Object source

Signature status: TransactionError

### public TransactionInstructionCtorFields: Object source

List of TransactionInstruction object fields that may be initialized at construction

#### Properties:

Name | Type | Attribute | Description
keys | Array<PublicKey> | nullable: true |
programId | PublicKey | nullable: true |
data | Buffer | nullable: true |

### public TransactionSignature: string source

### public VoteAccountInfo: Object source

Information describing a vote account

#### Properties:

Name | Type | Attribute | Description
votePubkey | string |  | Public key of the vote account
nodePubkey | string |  | Identity public key of the node voting with this account
stake | string |  | The stake, in lamports, delegated to this vote account
commission | string |  | A 32-bit integer used as a fraction (commission/0xFFFFFFFF) for rewards payout